#
# spec file for package gperf (Version 3.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gperf
BuildRequires:  gcc-c++
License:        GPL
Group:          Development/Languages/C and C++
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        3.0.1
Release:        150.2
Summary:        A Compiler Tool for Generating Perfect Hash Functions
Source:         ftp://ftp.gnu.org/pub/gnu/gperf/gperf-%{version}.tar.bz2
Patch:          gperf-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A perfect hash function is simply: a hash function and a data structure
that allows recognition of a key word in a set of words using exactly
one probe into the data structure.



Authors:
--------
    Doug Schmidt <schnidt@siam.ics.uci.edu>
    Bruno Haible <bruno@linuix.mathematik.uni-karlsruhe.de>

%debug_package
%prep
%setup
%patch

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
	--mandir=%{_mandir} --infodir=%{_infodir} %{_target_cpu}-suse-linux
make
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/doc/gperf/gperf.html
rm -f $RPM_BUILD_ROOT/usr/share/doc/gperf/gperf.html

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog doc/*.html
/usr/bin/gperf
%doc %{_infodir}/gperf.info.gz
%doc %{_mandir}/man1/gperf.1.gz

%changelog -n gperf
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun May 22 2005 - schwab@suse.de
- Fix missing declaration.
* Mon Oct 20 2003 - ro@suse.de
- don't build as root
* Mon Jun 16 2003 - ro@suse.de
- update to 3.0.1 (documentation and testsuite fixes)
* Mon May 19 2003 - ro@suse.de
- remove unpackaged file
* Thu May 15 2003 - ro@suse.de
- update to 3.0 with many additional options
* Tue May 13 2003 - ro@suse.de
- fix file list
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 06 2003 - ro@suse.de
- added install-info macros
* Mon Oct 28 2002 - ro@suse.de
- buildrooted
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Feb 27 2002 - ro@suse.de
- bzipped source
- added docu files to filelist (#13968)
* Wed Jun 13 2001 - schwab@suse.de
- Don't link statically any more.
* Sat Sep 30 2000 - ro@suse.de
- update to 2.7.2
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Thu Jan 20 2000 - ro@suse.de
- specfile cleanup, man,info -> usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jan 15 1999 - ro@suse.de
- link statically: needed when rebuilding libstdc++
* Fri Jan 15 1999 - ro@suse.de
- created initial package using jurix dif
